curl -X PUT "https://prospect-api.smartlead.ai/api/v1/search-email-leads/search-filters/fetched-searches/327107?api_key=YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{"search_string": "Directors and VPs in United States"}'
{
"success": true,
"message": "Fetched lead updated successfully"
}
{
"statusCode": 401,
"success": false,
"message": "Unauthorized",
"error": "User not authenticated"
}
Smart Prospect
Update Fetched Lead API
Update a fetched lead (search string/name) by ID - PUT /search-filters/fetched-searches/:id
PUT
/
api
/
v1
/
search-email-leads
/
search-filters
/
fetched-searches
/
{id}
curl -X PUT "https://prospect-api.smartlead.ai/api/v1/search-email-leads/search-filters/fetched-searches/327107?api_key=YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{"search_string": "Directors and VPs in United States"}'
{
"success": true,
"message": "Fetched lead updated successfully"
}
{
"statusCode": 401,
"success": false,
"message": "Unauthorized",
"error": "User not authenticated"
}
This endpoint requires authentication via API key passed as a query parameter (
api_key).Path Parameters
string
required
The ID of the fetched lead to update (positive integer string, e.g. 327107). Pattern: ^[1-9][0-9]*$.
Query Parameters
string
required
Your SmartLead API key for authentication
Request Body
The request body must be JSON.
search_string is required (the new name for the fetched lead).string
required
The new search string/name for the fetched lead (1–255 characters).
curl -X PUT "https://prospect-api.smartlead.ai/api/v1/search-email-leads/search-filters/fetched-searches/327107?api_key=YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{"search_string": "Directors and VPs in United States"}'
Response Codes
Success
Request successful
Bad Request
Bad Request
Unauthorized
Unauthorized
Forbidden
Forbidden
Not Found
Not Found
Internal Server Error
Internal Server Error
{
"success": true,
"message": "Fetched lead updated successfully"
}
{
"statusCode": 401,
"success": false,
"message": "Unauthorized",
"error": "User not authenticated"
}
